import java.awt.*;

// Standard group box thingy
public class GroupBox extends Panel
{
	String	fLabel;
	
	public GroupBox(String label)
	{	fLabel = new String(label);		}
	
	public void paint(Graphics g)
	{
		g.setColor(Color.gray);
		Rectangle	me = bounds();
		g.draw3DRect(5, 5, me.width - 6, me.height - 6, false);
		
		g.setColor(getBackground());
		g.fillRect(8, 0, g.getFontMetrics().stringWidth(fLabel) + 5, g.getFontMetrics().getHeight());
		
		g.setColor(Color.black);
		g.drawString(fLabel, 11, g.getFontMetrics().getHeight() - 3);		
	}
	
	public Insets insets()
	{	return new Insets(12, 10, 8, 8);		}
}